Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mchange.v2.c3p0.management
Class ActiveManagementCoordinator

    java.lang.Object
      com.mchange.v2.c3p0.management.ActiveManagementCoordinator

All Implemented Interfaces:
  ManagementCoordinator

    public class ActiveManagementCoordinator

extends java.lang.Object
implements ManagementCoordinator

Constructor Summary
`ActiveManagementCoordinator()`

Method Summary
`void` | `attemptManageC3P0Registry()`
`void` | `attemptManagePooledDataSource(PooledDataSource pds)`
`void` | `attemptUnmanageC3P0Registry()`
`void` | `attemptUnmanagePooledDataSource(PooledDataSource pds)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveManagementCoordinator

    public ActiveManagementCoordinator()
                                throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### attemptManageC3P0Registry

    public void attemptManageC3P0Registry()

  Specified by:
    `attemptManageC3P0Registry` in interface `ManagementCoordinator`

### attemptUnmanageC3P0Registry

    public void attemptUnmanageC3P0Registry()

  Specified by:
    `attemptUnmanageC3P0Registry` in interface `ManagementCoordinator`

### attemptManagePooledDataSource

    public void attemptManagePooledDataSource(PooledDataSource pds)

  Specified by:
    `attemptManagePooledDataSource` in interface `ManagementCoordinator`

### attemptUnmanagePooledDataSource

    public void attemptUnmanagePooledDataSource(PooledDataSource pds)

  Specified by:
    `attemptUnmanagePooledDataSource` in interface `ManagementCoordinator`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD